Skip to content

File Management API Specification

Open API 2.0 Specification

FilesApi

Method / Description HTTP request
deleteFileV4
Deletes the requested file (tenant based)
DELETE /v4/{tenantId}/files/{FileName}
getAllFilesV4
Gets a list of files in blob store for this tenant. (tenant based)
GET /v4/{tenantId}/files
getFileV4
Gets the file info for the requested file (tenant based)
GET /v4/{tenantId}/files/{FileName}
updateFileDescriptionV4
Updates the description of the file (tenant based)
PUT /v4/{tenantId}/files/{FileName}
uploadFileV4
Upload new file (tenant based)
POST /v4/{tenantId}/files

Documentation for Models

Documentation for Authorization

Oauth2Scheme

  • Type: OAuth
  • Flow: accessCode
  • Authorization URL: https://auth.alertsense.com/account/login
  • Scopes:
  • tamarack: Hickory
  • content: ExternalID
  • elm: GIS

JwtBearerTokenScheme

  • Type: API key
  • API key parameter name: Authorization
  • Location: HTTP header